Bug 617842 - Zim-0.48 is available
Zim-0.48 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-24 06:27 EDT by Upstream Release Monitoring
Modified: 2010-09-08 00:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: Zim-0.48-1.fc14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 00:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2010-07-24 06:27:34 EDT
Latest upstream release: 0.48
Current version in Fedora Rawhide: 0.47
URL: http://zim-wiki.org/downloads/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring
Comment 1 nomnex 2010-08-11 21:43:36 EDT
hello, I am a new comer on Fedora (Fedora 13) and Zim user. The version in the default (stable) repository is a perl 0.29 version.

the maintainer who looks after Fedora's zim package should make pyzim available as the default (instead of having it in devel). I feel strongly about this. 

Instruct me if I need to open a separate bug report to formulate my request. Thank you.
Comment 2 Robin Lee 2010-08-28 09:27:57 EDT
(In reply to comment #1)
> hello, I am a new comer on Fedora (Fedora 13) and Zim user. The version in the
> default (stable) repository is a perl 0.29 version.
> 
> the maintainer who looks after Fedora's zim package should make pyzim available
> as the default (instead of having it in devel). I feel strongly about this. 
> 
> Instruct me if I need to open a separate bug report to formulate my request.
> Thank you.

Sorry for my late reply. I just came back from vacation.

The Python-based Zim was not stable enough as the Perl-based one yet at 0.47. Wait a little bit for me to test 0.48.

You can also download the new rpm for F-13 from http://cheeselee.fedorapeople.org/Zim-0.48-1.fc13.noarch.rpm and try it.
Comment 3 Fedora Update System 2010-08-28 12:01:57 EDT
Zim-0.48-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Zim-0.48-1.fc14
Comment 4 Fedora Update System 2010-08-30 15:40:18 EDT
Zim-0.48-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Zim'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Zim-0.48-1.fc14
Comment 5 nomnex 2010-08-31 18:47:37 EDT
(In reply to comment #2)
> (In reply to comment #1)
> 
> The Python-based Zim was not stable enough as the Perl-based one yet at 0.47.
> Wait a little bit for me to test 0.48.
> 
> You can also download the new rpm for F-13 from
> http://cheeselee.fedorapeople.org/Zim-0.48-1.fc13.noarch.rpm and try it.

Hi Robin, some feedback:
I don't test Zim 0.48 from the Fedora testing repository (is this version different from the vanilla Zim?). I had installed Zim 0.48 from the dev. website and it ran stable for >1 month (no crashes whatsoever) on my system.

I am now (a little) more familiar with the Fedora repositories and I am now using 0.47 - sadly, only available in the testing repo.

One question: once 0.48 has been approved as stable, will it be available in the Fedora 13 stable repository for download or update, or will it be only available on Fedora 14 (I am not clear about it)? Thanks.

nomnex
Comment 6 nomnex 2010-08-31 20:20:00 EDT
installed and ran Zim 0.48 (fedora rawhide -- download link above) on Fedora 13.

See list of errors and warnings in the log below. I had the same output with the vanilla Zim, but all the functions worked (tested plug-ins) and Zim was stable.

Excerpts from the log below:

ERROR: Failed to load plugin createnote
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/zim/__init__.py", line 375, in load_plugin
    klass = zim.plugins.get_plugin(name)
  File "/usr/lib/python2.6/site-packages/zim/plugins/__init__.py", line 31, in get_plugin
    mod = get_plugin_module(pluginname)
  File "/usr/lib/python2.6/site-packages/zim/plugins/__init__.py", line 23, in get_plugin_module
    mod = __import__('zim.plugins.'+pluginname)
ImportError: No module named createnote

WARNING: Could not find all icon sizes for the application icon

----------full log copy-----------

[mt@localhost ~]$ zim -d
/usr/bin/zim: option -d not recognized
[mt@localhost ~]$ zim -D
INFO: This is zim 0.48
DEBUG: Python version is (2, 6, 4, 'final', 0)
DEBUG: Platform is posix
DEBUG: Zim revision is:
	branch: pyzim-trunk
	revision: 290 pardus@cpan.org-20100722213310-1qj38a5ozyxy06ya
	date: 2010-07-22 23:33:10 +0200

DEBUG: Not running from a source dir
DEBUG: Set XDG_DATA_HOME to /home/mt/.local/share
DEBUG: Set XDG_DATA_DIRS to [<Dir: /usr/share>, <Dir: /usr/local/share>]
DEBUG: Set XDG_CONFIG_HOME to /home/mt/.config
DEBUG: Set XDG_CONFIG_DIRS to [<Dir: /etc/xdg>]
DEBUG: Set XDG_CACHE_HOME to /home/mt/.cache
DEBUG: Running command: gui
INFO: Starting UnixSocketDaemon
DEBUG: Socket address: /tmp/zim-mt/daemon-socket
DEBUG: Wrote /tmp/zim-mt/daemon.pid
DEBUG: Sending to daemon: ["ping",[],{}]

DEBUG: Daemon replied: "Ack"
DEBUG: Loading /home/mt/zim/personal/notebook.zim
DEBUG: Loading /home/mt/zim/ooo/notebook.zim
DEBUG: Loading /home/mt/zim/ubuntu/notebook.zim
DEBUG: Loading /home/mt/zim/w3schools/notebook.zim
DEBUG: Opening dialog "Open Notebook - Zim"
DEBUG: Dialog response OK
DEBUG: Wrote /home/mt/.config/zim/notebooks.list
DEBUG: Closed dialog "Open Notebook"
DEBUG: Sending to daemon: ["vivicate",["zim.gui.GtkInterface","file:///home/mt/zim/personal"],{"usedaemon":true,"notebook":"file:///home/mt/zim/personal"}]

DEBUG: Child spawned 3881 (u'zim.gui.GtkInterface', u'file:///home/mt/zim/personal')
DEBUG: No such signal: notebook-list-changed
DEBUG: Daemon replied: true
DEBUG: Sending to daemon: ["relay",[["zim.gui.GtkInterface","file:///home/mt/zim/personal"],"present",null],{"geometry":null,"fullscreen":null}]

DEBUG: Sending to child 3881: ["present",[null],{"geometry":null,"fullscreen":null}]

DEBUG: Daemon replied: true
[mt@localhost ~]$ DEBUG: Loading /home/mt/.config/zim/preferences.conf
DEBUG: Gtk version is (2, 20, 1)
DEBUG: Pygtk version is (2, 17, 0)
WARNING: Could not find all icon sizes for the application icon
DEBUG: Loading /home/mt/.config/zim/style.conf
ERROR: Failed to load plugin createnote
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/zim/__init__.py", line 375, in load_plugin
    klass = zim.plugins.get_plugin(name)
  File "/usr/lib/python2.6/site-packages/zim/plugins/__init__.py", line 31, in get_plugin
    mod = get_plugin_module(pluginname)
  File "/usr/lib/python2.6/site-packages/zim/plugins/__init__.py", line 23, in get_plugin_module
    mod = __import__('zim.plugins.'+pluginname)
ImportError: No module named createnote
DEBUG: Loaded plugin insertsymbol (<CalendarPlugin object at 0x8da6464 (zim+plugins+PluginClass at 0x8df3660)>)
DEBUG: Loaded plugin printtobrowser (<PrintToBrowserPlugin object at 0x8db35a4 (zim+plugins+PluginClass at 0x8dff8a0)>)
DEBUG: Loaded plugin spell (<SpellPlugin object at 0x8db3fcc (zim+plugins+PluginClass at 0x8dff710)>)
DEBUG: Sending to daemon: ["ping",[],{}]

DEBUG: Daemon replied: "Ack"
DEBUG: Sending to daemon: ["vivicate",["zim.plugins.trayicon.DaemonTrayIcon","TrayIcon"],{}]

DEBUG: Child spawned 3883 (u'zim.plugins.trayicon.DaemonTrayIcon', u'TrayIcon')
DEBUG: No such signal: notebook-list-changed
DEBUG: Daemon replied: true
DEBUG: Loaded plugin trayicon (<TrayIconPlugin object at 0x8dbadec (zim+plugins+PluginClass at 0x8e038b0)>)
ERROR: Failed to load plugin versioncontrol
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/zim/__init__.py", line 377, in load_plugin
    raise AssertionError, 'Dependencies failed for plugin %s' % name
AssertionError: Dependencies failed for plugin versioncontrol
DEBUG: Accelmap: /home/mt/.config/zim/accelmap
DEBUG: Opening notebook: file:///home/mt/zim/personal
DEBUG: Cache dir: /home/mt/zim/personal/.zim
DEBUG: Loading /home/mt/zim/personal/notebook.zim
DEBUG: Index database file: /home/mt/zim/personal/.zim/index.db
DEBUG: Loading /home/mt/zim/personal/.zim/state.conf
INFO: Starting background index update
DEBUG: Action: set_pathbar_none
INFO: Open page: <FileStorePage: notes> (<HistoryRecord: notes>)
DEBUG: Sending to daemon: ["ping",[],{}]
Comment 7 Robin Lee 2010-09-01 00:29:00 EDT
I use 0.48 for some days and find it really stable. But the Perl version in F13 and before is maintained by another packager, I would talk with him when 0.48 gets stable in F14 (a weak later) to decide whether the Python version can be a stable update for F13 and before.
Comment 8 Fedora Update System 2010-09-08 00:34:20 EDT
Zim-0.48-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.